## linuxsampler-0.4.0.tar.bz2

=== benchmarks/Makefile ===
# Benchmark gig::Engine Synthesis
#
# Hand crafted Makefile as a starting point for benchmarking the sampler's
# Gigasampler format engine. You have to manually adjust the CFLAGS macro
# below to achieve the best results on your system!
#
# Call 'make' to compile and then './gigsynth' to run the benchmark.

#CFLAGS=-O3 --param max-inline-insns-single=50 -ffast-math -march=pentium4 -mtune=pentium4 -funroll-loops -fomit-frame-pointer -mfpmath=sse
#CFLAGS=-xW -O3 -march=pentium4
#CFLAGS=-O3 -march=pentium4
#CFLAGS=-O3 -march=pentium4m -ffast-math -funroll-loops -fomit-frame-pointer -fpermissive -mfpmath=sse
CFLAGS=-O3 -march=i686 -mmmx -msse -ffast-math -funroll-loops -fomit-frame-pointer -fpermissive -mfpmath=sse
#CFLAGS=-O3 -g3 -ffast-math -march=pentium4 -funroll-loops -fomit-frame-pointer -mno-fp-ret-in-387 -fpermissive
#CFLAGS=-O3 -ffast-math -funroll-loops -fomit-frame-pointer
CPP=g++
OBJFILES=*.o

# In order to be able to compile the actual Sampler source files, we need to
# define compile time configuration macros. For now we use the respective
# workaround header from the xcode (osx) project file for this.
INCLUDES=-include ../osx/version.h

.PHONY: all gigsynth.o Synthesizer.o RTMath.o

all: Synthesizer.o RTMath.o gigsynth.o
	$(CPP) $(CFLAGS) -o gigsynth gigsynth.o Synthesizer.o RTMath.o

clean:
	rm -f gigsynth $(OBJFILES)

gigsynth.o:
	$(CPP) $(INCLUDES) $(CFLAGS) -c gigsynth.cpp

Synthesizer.o:
	$(CPP) $(INCLUDES) $(CFLAGS) -c ../src/engines/gig/Synthesizer.cpp

RTMath.o:
	$(CPP) $(INCLUDES) $(CFLAGS) -c ../src/common/RTMath.cpp

=== debian/changelog ===
linuxsampler (0.4.0-1) unstable; urgency=low

  * Updated packaging files for the library nature of LinuxSampler.
  * Automatically generate Doxygen API documentation.
  * Include NEWS file on installation.
  * Include config.h on installation of liblinuxsampler-dev package.

 -- Christian Schoenebeck <cuse@users.sourceforge.net>  Fri, 24 Nov 2006 18:28:51 +0100

linuxsampler (0.3.3-1) unstable; urgency=low

  * New release.

 -- Christian Schoenebeck <cuse@users.sourceforge.net>  Fri, 15 Jul 2005 16:24:20 +0200

linuxsampler (0.3.2-1) unstable; urgency=low

  * New release.

 -- Christian Schoenebeck <cuse@users.sourceforge.net>  Fri, 24 Jun 2005 00:29:51 +0200

linuxsampler (0.3.cvs20050602-1) unstable; urgency=low

  * Fixed original make problems stopping multiport builds.
  * fixed other man and depends issues (Closes: #311431)

 -- Matt Flax <flatmax@pgb.unsw.edu.au>  Thu,  2 Jun 2005 17:55:50 +1000

linuxsampler (0.3.cvs20050531-1) unstable; urgency=low

  * Fixed libtool error by applying :
    http://lists.debian.org/debian-devel/1998/02/msg01322.html
  * Fixed debian dir. for packaging (Closes: #279933)
  * Initial Release (by Cristian S.).

 -- Matt Flax <flatmax@pgb.unsw.edu.au>  Mon, 21 Mar 2005 23:57:39 +1100

=== debian/control ===
Source: linuxsampler
Section: sound
Priority: optional
Maintainer: Matt Flax <flatmax@pgb.unsw.edu.au>
Build-Depends: debhelper (>= 4.0.0), libgig-dev
Standards-Version: 3.6.1

Package: linuxsampler
Section: sound
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gigtools
Description: realtime audio sampler
 LinuxSampler is a work in progress. It's goal is to produce a free
 software audio sampler with professional grade features.
 .
 It offers disk streaming capability and supports the Gigasampler format
 which is currently considered to be the best sampler format in regards of
 possibilities and sound quality.
 .
 This package provides the backend application of LinuxSampler.
 LinuxSampler can be controlled via network interface which uses an ASCII
 based protocol called LSCP. You might consider to install a GUI frontend
 for LinuxSampler as well.
 .
 For more informations please visit http://www.linuxsampler.org

Package: liblinuxsampler-dev
Section: libdevel
Architecture: any
Depends: liblinuxsampler (= ${Source-Version})
Description: realtime audio sampler (development files)
 LinuxSampler is a work in progress. It's goal is to produce a free
 software audio sampler with professional grade features.
 .
 It offers disk streaming capability and supports the Gigasampler format
 which is currently considered to be the best sampler format in regards of
 possibilities and sound quality.
 .
 This package provides the development files of the LinuxSampler library.
 You usually only need this package if you are compiling against
 liblinuxsampler.
 .
 For more informations please visit http://www.linuxsampler.org

Package: liblinuxsampler
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: realtime audio sampler (base library)
 LinuxSampler is a work in progress. It's goal is to produce a free
 software audio sampler with professional grade features.
 .
 It offers disk streaming capability and supports the Gigasampler format
 which is currently considered to be the best sampler format in regards of
 possibilities and sound quality.
 .
 This package provides the LinuxSampler backend library (liblinuxsampler),
 that is the sampler engine together with audio and MIDI drivers.
 .
 For more informations please visit http://www.linuxsampler.org

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	$(MAKE) -f Makefile.cvs
	chmod a+x configure
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#	docbook-to-man debian/linuxsampler.sgml > linuxsampler.1

	#	$(MAKE)

	# generate Doxygen API documentation
	$(MAKE) docs

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	-$(MAKE) -f Makefile.cvs
	# Add here commands to clean up after the build process.
	chmod a+x configure
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info

	-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install -a --list-missing
	dh_installchangelogs -a ChangeLog
	dh_installdocs -a
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman man/linuxsampler.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs -pliblinuxsampler
	dh_installdeb -a
	dh_shlibdeps # -L linuxsampler -l debian/linuxsampler/usr/lib/linuxsampler
	dh_shlibdeps -pliblinuxsampler
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
